﻿#ifndef _IMU_DATA_H
#define _IMU_DATA_H

#pragma once

#include <iostream>
#include <iomanip>
#include <Windows.h>
#include <stdio.h>
#include <conio.h>
#include <sstream>
#include "serial_port.h"

using namespace std;

int initSerialPort(string imu_dev);

int getImuData(void);
void closeSerialPort(void);

float getAcc(int flag);
float getAngular(int flag);
float getAngle(int flag);
float getQuat(int flag);

int makeYawZero(void);
int updateIICAddr(string input);
void show_imu_data(void);

#endif